export declare const siteConfigurationSurfaceTemplate = "import {\n  Card,\n  CardTitle,\n  SiteConfigurationSurface,\n} from \"@netlify/sdk/ui/react/components\";\nimport { useNetlifySDK } from \"@netlify/sdk/ui/react\";\n\nexport const SiteConfiguration = () => {\n  const sdk = useNetlifySDK();\n\n  return (\n    <SiteConfigurationSurface>\n      <Card>\n        <CardTitle>Example Section for {sdk.extension.name}</CardTitle>\n        <p>This is an example site configuration.</p>\n      </Card>\n    </SiteConfigurationSurface>\n  );\n};\n";
export declare const siteConfigurationSurfaceWithSafeguardTemplate = "import {\n  Button,\n  Card,\n  CardLoader,\n  CardTitle,\n  SiteConfigurationSurface,\n} from \"@netlify/sdk/ui/react/components\";\nimport { trpc } from \"../trpc\";\nimport { useNetlifySDK } from \"@netlify/sdk/ui/react\";\n\nexport const SiteConfiguration = () => {\n  const sdk = useNetlifySDK();\n  const trpcUtils = trpc.useUtils();\n\n  const buildEventHandlerEnabledForSite =\n    trpc.buildEventHandler.status.useQuery();\n\n  const enableBuildEventHandlerForSite =\n    trpc.buildEventHandler.enable.useMutation({\n      onSuccess: async () => {\n        await trpcUtils.buildEventHandler.status.invalidate();\n      },\n    });\n\n  const disableBuildEventHandlerForSite =\n    trpc.buildEventHandler.disable.useMutation({\n      onSuccess: async () => {\n        await trpcUtils.buildEventHandler.status.invalidate();\n      },\n    });\n\n  if (buildEventHandlerEnabledForSite.isLoading) {\n    return <CardLoader />;\n  }\n\n  return (\n    <SiteConfigurationSurface>\n      <Card>\n        {buildEventHandlerEnabledForSite.data?.enabled ? (\n          <>\n            <CardTitle>Disable for site</CardTitle>\n            <Button\n              className=\"tw-mt-4\"\n              loading={disableBuildEventHandlerForSite.isPending}\n              onClick={() => disableBuildEventHandlerForSite.mutate()}\n              variant=\"danger\"\n            >\n              Disable\n            </Button>\n          </>\n        ) : (\n          <>\n            <CardTitle>Enable for site</CardTitle>\n\n            <Button\n              className=\"tw-mt-4\"\n              loading={enableBuildEventHandlerForSite.isPending}\n              onClick={() => enableBuildEventHandlerForSite.mutate()}\n            >\n              Enable\n            </Button>\n          </>\n        )}\n      </Card>\n      {buildEventHandlerEnabledForSite.data?.enabled && (\n        <Card>\n          <CardTitle>Example Section for {sdk.extension.name}</CardTitle>\n          <p>This is an example site configuration.</p>\n        </Card>\n      )}\n    </SiteConfigurationSurface>\n  );\n};\n";
//# sourceMappingURL=SiteConfiguration.tsx.template.d.ts.map